%define		status		stable
%define		pearname	Net_DNS2
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - PHP5 Resolver library used to communicate with a DNS server
Name:		php-pear-Net_DNS2
Version:	1.2.3
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	32564d2c936a006afc2d649391df0e8f
URL:		http://pear.php.net/package/Net_DNS2/
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.593
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides (roughly) the same functionality as Net_DNS, but using PHP5
objects, exceptions for error handling, better sockets support.

This release is (in most cases) 2x - 10x faster than Net_DNS, as well
as includes more RR's (including DNSSEC RR's), and improved sockets
and streams support.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/DNS2.php
%{php_pear_dir}/Net/DNS2
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Net_DNS2.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 527b4f1
- updated to: 1.2.3

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> dcbd740
- updated to: 1.2.1

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 6babf21
- updated to: 1.1.4

* Mon Apr 25 2011 Elan Ruusamäe <glen@pld-linux.org> 5489761
- updated to: 1.1.0

* Sat Apr 09 2011 Elan Ruusamäe <glen@pld-linux.org> 2b8aed1
- new, created with pear make-rpm-spec

